Bug 81120 - RFE: include smarthost and masquerade in sendmail.mc
RFE: include smarthost and masquerade in sendmail.mc
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-05 00:41 EST by Patrick C. F. Ernzer
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 07:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2003-01-05 00:41:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I don't have the current beta at this location, so just close this bug if the
RFE is already on the beta, if not, please change the release to point to the beta.

As two very common sendmail config changes are a smarthost and masquerading, I
wonder why we do not have these options on our sendmail.mc. Sure the RHL
Reference Guide explains hos to edit sendmail.cf, but these changes are lost on
the next m4 run.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. do changes (like every sane person) to sendmail.mc
2. run m4
3. change your smarthost and relay option in sendmail.cf
4. do more changes to sendmail.mc
5. run m4 again
    

Actual Results:  need to re-enter smarthost and relay option in sendmail.cf

Expected Results:  smarthost and relay option present in sendmail.mc

Additional info:

http://www.tldp.org/LDP/LG/issue45/pollman/sendmail.html has rules for sendmail.mc
Comment 1 Patrick C. F. Ernzer 2003-01-05 00:51:12 EST
agh, it's late, SMART_HOST is actually in 8.0 in the mc file, so reduce the RFE
to just include a MASQUERADE_AS option.

I'll go to bed now.
Comment 2 Florian La Roche 2003-01-08 07:42:18 EST
ALl done in rawhide already.

greetings and thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.